package com.red.circle.other.inner.enums.user;

/**
 * 区域辅助数据-业务类型.
 *
 * @author pengshigang on 2023/03/14
 */
public enum RegionAssistTypeEnum {


  /**
   * 房间贡献活动奖励比例(%).
   */
  ROOM_CONTRIBUTION_ACTIVITY_RATIO("房间贡献活动奖励比例(%)"),

  /**
   * 接收自己礼物获得金币比例(%).
   */
  GIFT_TO_OWN_GOLD_RATIO("接收自己礼物获得金币比例(%)"),

  /**
   * 接收他人礼物获得金币比例(%).
   */
  GIFT_TO_OTHER_GOLD_RATIO("接收他人礼物获得金币比例(%)"),

  /**
   * 接收自己礼物获得金币比例(%).代理
   */
  GIFT_TO_OWN_GOLD_RATIO_AGENCY("接收自己礼物获得金币比例(%)-代理"),

  /**
   * 接收他人礼物获得金币比例(%).代理
   */
  GIFT_TO_OTHER_GOLD_RATIO_AGENCY("接收他人礼物获得金币比例(%)-代理"),

  /**
   * 接收自己礼物获得金币比例(%).普通用户
   */
  GIFT_TO_OWN_GOLD_RATIO_NORMAL("接收自己礼物获得金币比例(%)-普通用户"),

  /**
   * 接收他人礼物获得金币比例(%).普通用户
   */
  GIFT_TO_OTHER_GOLD_RATIO_NORMAL("接收他人礼物获得金币比例(%)-普通用户"),

  /**
   * CP礼物返还金币比例
   */
  CP_GIFT_GOLD_RATIO("CP礼物返还金币比例"),

  /**
   * 接收礼物获得目标比例(%).
   */
  GIFT_TARGET_RATIO("接收礼物获得目标比例(%)"),


  /**
   * 接收他人礼物获得钻石比例(%)
   */
  GIFT_TO_OTHER_DIAMOND_RATIO("接收他人礼物获得钻石比例(%)"),

  /**
   * 接收他人礼物获得钻石比例(%).代理
   */
  GIFT_TO_OTHER_DIAMOND_RATIO_AGENCY("接收他人礼物获得钻石比例(%)-代理"),

  /**
   * 银行钱包兑换金币比例.
   */
  WITHDRAW_PROPORTION_TIPS("银行钱包兑换金币比例"),

  /**
   * 币商兑换金币比例.
   */
  COIN_SELLER_WITHDRAW_PROPORTION_TIPS("币商兑换金币比例"),

  /**
   * 银行钱包工资钻石兑换金币比例.
   */
  WITHDRAW_PROPORTION_DIAMOND_TIPS("银行钱包工资钻石兑换金币比例"),

  /**
   * 银行钱包工资钻石兑换美金比例.
   */
  WITHDRAW_PROPORTION_DIAMOND_USD_TIPS("银行钱包工资钻石兑换美金比例"),

  /**
   * 剩余积分兑换$比例.
   */
  RESIDUE_TARGET_EXCHANGE_PROPORTION("剩余积分兑换$比例"),

  /**
   * 钻石兑换金币比例.
   */
  DIAMOND_EXCHANGE_GOLD("钻石兑换金币比例"),

  /**
   * 钻石起兑最小数量.
   */
  MIN_EXCHANGE_DIAMOND("钻石起兑最小数量"),

  /**
   * 主播解约费(金币).
   */
  HOST_TERMINATION_FEE("主播解约费(金币)"),


  /**
   * 提现手续费比例(%).
   */
  WITHDRAWAL_COMMISSION_RATIO("提现手续费比例(%)"),

  ;

  private final String desc;

  RegionAssistTypeEnum(String desc) {
    this.desc = desc;
  }

  public String getDesc() {
    return desc;
  }


}
